Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class TileRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.TileRable8Bit

All Implemented Interfaces:
  RenderableImage, Filter, FilterColorInterpolation, TileRable

    public class TileRable8Bit

extends AbstractColorInterpolationRable
implements TileRable

8 bit TileRable implementation

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Constructor Summary
`TileRable8Bit(Filter source, Rectangle2D tiledRegion, Rectangle2D tileRegion, boolean overflow)` Default constructor

Method Summary
`RenderedImage` | `createRendering(RenderContext rc)`
`RenderedImage` | `createTile(RenderContext rc)` Computes the tile to use for the tiling operation.
`Rectangle2D` | `getActualTileBounds(Rectangle2D tiledRect)`
`Rectangle2D` | `getBounds2D()` Returns this filter's bounds
`Filter` | `getSource()` Return's the tile source
`Rectangle2D` | `getTiledRegion()` Returns the tiled region
`Rectangle2D` | `getTileRegion()` Returns the tile region
`boolean` | `isOverflow()` Returns the overflow strategy
`void` | `setOverflow(boolean overflow)` Sets the overflow strategy
`void` | `setSource(Filter src)` Sets the filter source
`void` | `setTiledRegion(Rectangle2D tiledRegion)` Sets the tiled region
`void` | `setTileRegion(Rectangle2D tileRegion)` Sets the tile region

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Constructor Detail

### TileRable8Bit

    public TileRable8Bit(Filter source,
                         Rectangle2D tiledRegion,
                         Rectangle2D tileRegion,
                         boolean overflow)

  Default constructor

Method Detail

### getTileRegion

    public Rectangle2D getTileRegion()

  Returns the tile region

  Specified by:
    `getTileRegion` in interface `TileRable`

### setTileRegion

    public void setTileRegion(Rectangle2D tileRegion)

  Sets the tile region

  Specified by:
    `setTileRegion` in interface `TileRable`

### getTiledRegion

    public Rectangle2D getTiledRegion()

  Returns the tiled region

  Specified by:
    `getTiledRegion` in interface `TileRable`

### setTiledRegion

    public void setTiledRegion(Rectangle2D tiledRegion)

  Sets the tiled region

  Specified by:
    `setTiledRegion` in interface `TileRable`

### isOverflow

    public boolean isOverflow()

  Returns the overflow strategy

  Specified by:
    `isOverflow` in interface `TileRable`

### setOverflow

    public void setOverflow(boolean overflow)

  Sets the overflow strategy

  Specified by:
    `setOverflow` in interface `TileRable`

### setSource

    public void setSource(Filter src)

  Sets the filter source

  Specified by:
    `setSource` in interface `TileRable`

### getSource

    public Filter getSource()

  Return's the tile source

  Specified by:
    `getSource` in interface `TileRable`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns this filter's bounds

  Specified by:
    `getBounds2D` in interface `Filter`
  Overrides:
    `getBounds2D` in class `AbstractRable`

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

### getActualTileBounds

    public Rectangle2D getActualTileBounds(Rectangle2D tiledRect)

### createTile

    public RenderedImage createTile(RenderContext rc)

  Computes the tile to use for the tiling operation. The tile has its origin in the upper left corner of the tiled region. That tile is separated into 4 areas: top-left, top-right, bottom-left and bottom-right. Each of these areas is mapped to some input area from the source. If the source is smaller than the tiled area, then a single rendering is requested from the source. If the source's width or height is bigger than that of the tiled area, then separate renderings are requested from the source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.